#
# spec file for package yast2-online-update (Version 2.13.43)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 checkmedia coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dbus-1-mono desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv iproute2 klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libstdc++ libstdc++-devel libtool libusb libxcrypt libxcrypt-devel libxml2 liby2util libzio libzypp libzypp-zmd-backend limal limal-bootloader limal-perl m4 make man master-boot-code mktemp module-init-tools mono-core mono-data mono-web ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules parted patch pcre perl perl-Bootloader perl-Compress-Zlib perl-URI perl-XML-Parser perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm rug sed sqlite strace suseRegister sysconfig sysfsutils sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-bootloader yast2-core yast2-country yast2-devtools yast2-hardware-detection yast2-installation yast2-packager yast2-perl-bindings yast2-pkg-bindings yast2-storage yast2-storage-lib zlib zlib-devel zmd

Name:           yast2-online-update
Version:        2.13.43
Release:        1.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-online-update-2.13.43.tar.bz2
prefix:		/usr
BuildRequires:  gcc-c++ libxcrypt-devel perl-XML-Writer pkg-config update-desktop-files yast2-bootloader yast2-devtools yast2-packager
PreReq:         grep sed
Requires:       yast2 yast2-pkg-bindings >= 2.13.88
Provides:       y2c_online_update yast2-config-online-update
Obsoletes:      y2c_online_update yast2-config-online-update
Provides:       yast2-trans-online-update y2t_online_update
Obsoletes:      yast2-trans-online-update y2t_online_update
BuildArchitectures:     noarch
Summary:        YaST2 - Online Update (YOU)

%description
YaST Online Update (YOU) provides a convenient way to download and
install security and other system updates. By default it uses the
official SuSE mirrors as the update sources, but it can also use local
patch repositories or patch CDs.

This package provides the graphical user interface for YOU which can be
used with or without the X Window System. It can be started from the
YaST control center.



Authors:
--------
    gs@suse.de

%debug_package
%prep
%setup -n yast2-online-update-2.13.43

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
if [ -f /etc/cron.d/yast2-online-update ] ; then
    cronjob=`grep "online_update" /etc/cron.d/yast2-online-update 2>/dev/null`
    if [ -n "$cronjob"  ] ; then
	sed -e "s/online_update/rug up -t patch/" -i /etc/cron.d/yast2-online-update
	if [ "`echo "$cronjob" | grep -c " -g" 2>/dev/null`" -gt 0 ] ; then
	    sed -e "s/ -g/ -d/" -i /etc/cron.d/yast2-online-update
	fi
	if [ "`echo "$cronjob" | grep -c " -P" 2>/dev/null`" -gt 0 ] ; then
	    sed -e "s/ -P/ --skip-interactive/" -i /etc/cron.d/yast2-online-update
	fi
    fi
    rm -f /etc/cron.d/yast2-online-update.bak
fi
to_remove="/usr/share/YaST2/clients/product_post.ycp"
if [ -f $to_remove ] ; then
    eval "echo '2ee660f33bb8468654661bcf2a564fd4  $to_remove' | md5sum --status -c 2>/dev/null"
    if [ "$?" == 0 ] ; then
	rm -f $to_remove
    fi
fi

%files
%defattr(-,root,root)
%{prefix}/share/applications/YaST2/online_update_setup.desktop
/usr/share/YaST2/scrconf/*.scr
/usr/share/YaST2/clients/online*.ycp
/usr/share/YaST2/clients/inst_you.ycp
/usr/share/YaST2/modules/OnlineUpdate*.ycp
/usr/share/YaST2/modules/OnlineUpdate*.ybc
/usr/share/YaST2/modules/AutoOnlineUpdate*.ycp
/usr/share/YaST2/modules/AutoOnlineUpdate*.ybc
%doc %{prefix}/share/doc/packages/yast2-online-update
%package frontend
Summary:        YaST2 - Online Update (YOU)
Requires:       yast2-online-update
Group:          System/YaST

%description frontend
Desktop files for YaST2 online update



Authors:
--------
    gs@suse.de


%files frontend
%defattr(-,root,root)
%{prefix}/share/applications/YaST2/online_update.desktop
%{prefix}/share/applications/YaST2/cd_update.desktop

%changelog -n yast2-online-update
* Wed Jun 28 2006 - jsuchome@suse.cz
- shown one more "Please wait" popup during start (#188172)
- correctly restart module on installed system (#188541)
- 2.13.43
* Wed Jun 14 2006 - jsuchome@suse.cz
- fix of restarting inst_you after libzypp update (#184452)
- 2.13.42
* Fri Jun 09 2006 - jsuchome@suse.cz
- report error when Patch CD not entered (#182802)
- 2.13.41
* Mon May 22 2006 - jsuchome@suse.cz
- fixed updating of cron rule, remove .bak file (#176734)
- 2.13.40
* Thu May 18 2006 - jsuchome@suse.cz
- better check for restarted yast during installation (#167561)
- 2.13.39
* Thu May 18 2006 - jsuchome@suse.cz
- do not exit when only packages (and no patches) are selected for
  installation or deletion (#175668)
- 2.13.38
* Fri May 12 2006 - jsuchome@suse.cz
- remove product_post.ycp if present (#174812)
- 2.13.37
* Fri May 05 2006 - jsuchome@suse.cz
- fixed broken dialog in online_update_setup (#172668)
- 2.13.36
* Thu Apr 27 2006 - jsuchome@suse.cz
- show the popup for restarting yast also on installed system
- 2.13.35
* Thu Apr 27 2006 - visnov@suse.cz
- fix the dialog term for patch messages (#170155)
- 2.13.34
* Tue Apr 25 2006 - jsuchome@suse.cz
- 'Patch CD Update': save CD source at the end
- 2.13.33
* Mon Apr 24 2006 - jsrain@suse.de
- removed SortKey from online_update_setup.desktop (#168768)
- 2.13.32
* Fri Apr 21 2006 - jsuchome@suse.cz
- removed part breaking inst_you (#168286)
- 2.13.31
* Fri Apr 21 2006 - jsuchome@suse.cz
- force unselecting packages with ResolvableNeutral (#168278)
- 2.13.30
* Thu Apr 20 2006 - jsuchome@suse.cz
- inst_you: use `restart_same_step instead of `restart_yast to get
  inst_you again after restarting during installation (#167561)
- 2.13.29
* Thu Apr 20 2006 - jsuchome@suse.cz
- removed obsolete usage of you_auto_install parameters
- 2.13.28
* Wed Apr 19 2006 - jsuchome@suse.cz
- create temporary CD source for 'Patch CD Update'
- 2.13.27
* Tue Apr 18 2006 - jsuchome@suse.cz
- return negative value when yast should be restarted so ncurses
  menu can exit
- 2.13.26
* Fri Apr 14 2006 - jsuchome@suse.cz
- install packagemanager related patches first, than restart yast
  (#165540)
- skipped installation if no patch is selected (#163253)
- 2.13.25
* Fri Apr 14 2006 - visnov@suse.cz
- initialize target before sources (#165849)
- 2.13.24
* Wed Apr 12 2006 - jsuchome@suse.cz
- run online update in manual mode if requested in control file (#165503)
- 2.13.23
* Fri Apr 07 2006 - jsuchome@suse.cz
- ask for aborting update
- return false for all progress callbacks after abort
  (workaround for #160966)
- 2.13.22
* Wed Apr 05 2006 - jsuchome@suse.cz
- changed label for "Skipping interactive patches"
- 2.13.21
* Tue Apr 04 2006 - jsuchome@suse.cz
- fixed reading the cron rule (#161253)
- 2.13.20
* Fri Mar 31 2006 - mvidner@suse.cz
- No unlocking after all, so no need to reinitialize (#160319).
- 2.13.19
* Fri Mar 31 2006 - jsuchome@suse.cz
- online_update_install: full progress when no patch was installed,
  do not change button labels during installation
- 2.13.18
* Thu Mar 30 2006 - mvidner@suse.cz
- inst_you: Do not call Pkg::Init, inst_suse_register did it
  already; get package list only after zypp comes back up.
- Don't run the module if another process has the zypp lock (#160319).
- 2.13.17
* Wed Mar 29 2006 - visnov@suse.cz
- fix patch message callback
- call PkgEstablish and preselect patches before
  starting patch selector
- 2.13.16
* Wed Mar 29 2006 - jsuchome@suse.cz
- do not check user input in DoneProvide and DonePackage callbacks
  (#160966)
* Tue Mar 28 2006 - locilka@suse.cz
- Refreshing all sources (with autorefresh enabled) before the
  online is started (#154990).
- 2.13.15
* Mon Mar 27 2006 - jsuchome@suse.cz
- adapt the cron rule (online_update -> rug) after update
- "Total Progress" now shows the progress of the whole update process
- 2.13.14
* Fri Mar 24 2006 - visnov@suse.cz
- Show progress bars when installing patches at installation time
- 2.13.13
* Thu Mar 23 2006 - mvidner@suse.cz
- Rug can now add the source for YaST. Wait for it and read it
  (#156139).
- 2.13.12
* Thu Mar 23 2006 - visnov@suse.cz
- First support for patch callbacks
* Tue Mar 21 2006 - mvidner@suse.cz
- Moved online update code back from autoyast2 to
  yast2-online-update (#151213).
- 2.13.11
* Tue Mar 21 2006 - jsuchome@suse.cz
- desktop files moved to yast2-online-update-frontend package
- 2.13.10
* Mon Mar 20 2006 - mvidner@suse.cz
- online_update_install: PkgSolve before PkgCommit (jsuchome)
- 2.13.9
* Thu Mar 16 2006 - mvidner@suse.cz
- inst_you: use Pkg::PkgEstablish and Pkg::ResolvablePreselectPatches,
  call UI when solving fails
* Tue Mar 14 2006 - jsuchome@suse.cz
- use PkgCommit to install patches
- 2.13.8
* Mon Mar 13 2006 - jsuchome@suse.cz
- back to PackageSelector
- 2.13.7
* Mon Feb 27 2006 - lslezak@suse.cz
- install all available patches
- 2.13.6
* Fri Feb 17 2006 - jsuchome@suse.cz
- files used by autoyast moved to autoyast module (#151213)
- 2.13.5
* Mon Feb 13 2006 - jsuchome@suse.cz
- added online_update_setup client for the automatic update setup,
  adapted the automatic configuration to use rug (#149903)
- 2.13.4
* Mon Feb 13 2006 - ug@suse.de
- fix #140081 (disable of online update not possible with UI)
- initialize random number generator
* Fri Feb 10 2006 - jsuchome@suse.cz
- online_update.ycp is just a wrapper for calling web-updater
- 2.13.3
* Mon Nov 14 2005 - ma@suse.de
- Strip '<br>' from YOU error message (#132517)
- 2.13.2
* Tue Oct 04 2005 - mir@suse.de
- bugfix: "Edit Server" failed with an https-URL. This
  fix needs the getUrl2 and editUrl2 from yast2-packager-2.13.1
  or later. (Bug #118781) (from 2.9.20)
- 2.13.1
* Tue Oct 04 2005 - mir@suse.de
- changed authentication logic in online_update_start.ycp
  so that authentication data is not displayed in the url
  after "edit server" (bug #96204) (from 2.9.19)
- 2.13.0
* Mon Sep 05 2005 - jsrain@suse.cz
- fixed rebooting after kernel update during installation (#115287)
- 2.12.4
* Thu Jul 28 2005 - mir@suse.de
- merged changes from translation
- 2.12.3
* Wed Jul 27 2005 - mir@suse.de
- new desktop files
- 2.12.2
* Mon Jul 25 2005 - mir@suse.de
- added libxml2 to neededforbuild
- 2.12.1
* Tue Jul 19 2005 - jsrain@suse.cz
- reboot if kernel was updated during installation, restart YaST
  if any of YaST packages were updated
* Mon Apr 25 2005 - nashif@suse.de
- Fixed bug scheduling onlineupdate in autoyast, weekly updates were
  not possible (#77147)
* Wed Feb 23 2005 - mir@suse.de
- automatic online update setup (cronjob): "skip patches with
  pre-install messages" is default.
- 2.11.9
* Mon Feb 07 2005 - mir@suse.de
- Merged in proofread textx
  PO-Revision-Date: 2005-02-05 18:47+0100
- 2.11.8
* Thu Jan 27 2005 - mir@suse.de
- Automatic Online Update has new option -P (skip patches with pre
  information), (#49887) (feature 120379)
- 2.11.7
* Mon Jan 24 2005 - nashif@suse.de
- Adapted to new argument map when going back during installation
- 2.11.6
* Wed Jan 12 2005 - mir@suse.de
- bugfix: checkbox "enable automatic update" remained checked
  even after switching off (#46341)
- bugfix: weekly setting in automatic update was not obeyed
  (resulting in daily mode) (no bugzilla entry)
- 2.11.5
* Mon Jan 10 2005 - mir@suse.de
- bugfix: aborting the installation displayed a misleading error
  message ("no packagage installed" instead of "incomplete")
  (#47869)
- 2.11.4
* Mon Jan 10 2005 - mir@suse.de
- bugfix: aborting the selection went back instead of aborting
  the update. (#49579)
- 2.11.3
* Wed Jan 05 2005 - mir@suse.de
- save value of checkbox remove_packages into sysconfig (#49349)
- 2.11.2
* Thu Nov 04 2004 - kkaempf@suse.de
- adapt to new Mode:: API
- 2.11.1
* Wed Oct 06 2004 - jsrain@suse.cz
- append slash to the end of URL if it is missing (#46631)
* Wed Sep 29 2004 - jsrain@suse.cz
- do not show wrong base architecture (#46319)
- 2.10.3
* Mon Sep 27 2004 - jsrain@suse.cz
- don't access the FTP server anonymously if username and password
  was given (#43731)
- 2.10.2
* Fri Aug 27 2004 - arvin@suse.de
- merged proof read messages
* Thu Jul 01 2004 - lnussel@suse.de
- merge 9.1 branch
- turn online_update_dialogs.ycp into module OnlineUpdateDialogs to avoid
  using different versions of that file in clients and modules
- 2.10.0
* Fri Apr 16 2004 - cschum@suse.de
- Ask for "Username" instead of "Code" as the registration code
  isn't longer used as YOU login for the maintenance web.
- 2.9.12
* Mon Apr 05 2004 - gs@suse.de
- fixed cd_update.desktop for ncurses menu (bug #38088)
- V 2.9.11
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Thu Mar 25 2004 - cschum@suse.de
- Add yast2-packager to neededforbuilds.
- 2.9.9
* Tue Mar 23 2004 - lnussel@suse.de
- set sort key in desktop file to move module icon to front (#36466)
* Mon Mar 15 2004 - arvin@suse.de
- ignore return value of online_update in inst_you (bug #35848)
* Wed Mar 10 2004 - sh@suse.de
- Migration to new wizard
- V 2.9.6
* Fri Mar 05 2004 - cschum@suse.de
- Adapt to stricter type checking of YCP interpreter.
- 2.9.5
* Mon Mar 01 2004 - cschum@suse.de
- Moved patch download and installation logic from YCP code
  to packagemanager.
- 2.9.4
* Sat Feb 07 2004 - arvin@suse.de
- removed config files (*.y2cc)
* Wed Feb 04 2004 - cschum@suse.de
- Split off you_server to own package.
- 2.9.2
* Wed Feb 04 2004 - nashif@suse.de
- Enable automatic online-update with autoyast
* Tue Feb 03 2004 - cschum@suse.de
- Fixed retrieval of server list.
* Mon Feb 02 2004 - cschum@suse.de
- Fixed neededforbuild and file list.
- 2.9.1
* Mon Feb 02 2004 - cschum@suse.de
- Adapted to new YCP interpreter.
- 2.9.0
* Fri Nov 21 2003 - cschum@suse.de
- Added module you_server for configuration of local YOU server.
* Sun Sep 14 2003 - adrian@suse.de
- make it working in kcontrol
* Fri Sep 05 2003 - cschum@suse.de
- Merged proofreading results.
- 2.8.7
* Tue Sep 02 2003 - cschum@suse.de
- Fix warning dialog, which appears when suseservers list can't be
  fetched (#28589).
* Mon Sep 01 2003 - cschum@suse.de
- Use Label and Popup modules instead of common_messages.ycp and
  common_popups.ycp. Fixes #29687.
* Wed Aug 20 2003 - cschum@suse.de
- Close FTP connection after download (#28040).
- Fix help text on start page (#28799).
- Small layout fixes on start page (#28577).
- Usability fixes for automatic update setup dialog (#28525).
- Layout fixes for system information box (#28527).
- Make URL edit work with new event handling (#28577).
- 2.8.4
* Tue Aug 12 2003 - gs@suse.de
- merge texts from proofread
* Fri Jul 25 2003 - cschum@suse.de
- Make configurable in /etc/sysconfig/online_update if manual patch
  selection is called and if packages are removed after
  installation (#22244).
* Tue Jul 22 2003 - cschum@suse.de
- Added support for YCP scripts as part of patches.
- Long running scripts can now be canceled.
- Added "Try again" option to download and install error dialogs.
- Added option to edit server URL in a dialog.
- Renamed "Expert" button to "New Server...".
* Fri May 16 2003 - cschum@suse.de
- Rewrote YOU authentification code.
* Tue Mar 11 2003 - arvin@suse.de
- avoid empty screen before starting you during installation
* Mon Mar 10 2003 - arvin@suse.de
- during installation wait with starting of you until connection
  is really up (bug #24354)
* Wed Feb 26 2003 - cschum@suse.de
- Use widget with scrollbars for pre/postinformation text (#24370).
* Wed Feb 26 2003 - arvin@suse.de
- fixed starting and stopping of internet connection for
  online update run during installation (bug #24354)
* Wed Feb 26 2003 - cschum@suse.de
- Fixed setup of automatic update (Missing linefeed at end of cron
  file).
* Mon Feb 24 2003 - cschum@suse.de
- Activate "reload patches" check box, if signature check failed
  (bug #23959).
- Removed space which confused y2menu (bug #23714)
- Read CMDLINE_OPTIONS variable from sysconfig/online_update.
* Thu Feb 20 2003 - arvin@suse.de
- don't start online-update during installation if no network
  is configured (bug #23926)
* Mon Feb 10 2003 - cschum@suse.de
- Return `auto instead of `abort, when user cancels update.
- If download of mirror list fails, give user the choice to
  continue or abort.
* Fri Feb 07 2003 - cschum@suse.de
- Return correct return value when module is finished.
- Removed obsolete test code.
- Include .pot file in source RPM.
* Wed Jan 29 2003 - cschum@suse.de
- Merged proofread texts.
* Fri Jan 24 2003 - cschum@suse.de
- Moved sysconfig/online-update from yast2-online-update to
  yast2-packagemanager.
* Mon Jan 20 2003 - cschum@suse.de
- Adapted help texts to actually describe the current interface.
* Thu Dec 19 2002 - cschum@suse.de
- Removed obsolete code (online_update_load.ycp,
  online_update_details.ycp, online_update_close.ycp).
- Added progress callbacks (OnlineUpdateCallbacks.ycp).
- Removed suseservers.ycp. /etc/suseservers is now accessed via the
  packagemanager.
- Added option to choose if patches are all reloaded from the
  server or if previously downloaded files are reused.
- Added details information to most error dialog.
- Added option to skip download/installation of patches to
  download/installation error dialogs.
- Save user name and password in /var/lib/YaST2/you/password
  instead of /etc/sysconfig/online-update.
- Added progress display for patch download and installation.
- Don't call SuSEconfig if no patches have been installed.
- Added dialog to setup automatic update by cron job.
- Show when last successfull update has been performed.
- Removed obsolete entries from sysconfig.online-update.
- 2.7.1
* Mon Dec 02 2002 - cschum@suse.de
- Fixed wrong assignment of username and password in
  authentifcation dialog for business products.
* Wed Oct 23 2002 - cschum@suse.de
- Run SuSEconfig after installation of patches.
- Fixed "Browse" button in dialog for adding directory source.
* Wed Oct 02 2002 - cschum@suse.de
- Use themed image as header.
* Wed Sep 11 2002 - cschum@suse.de
- Fixed problem of vanishing Expert button when there are long
  URLs in the combo box.
* Tue Sep 10 2002 - cschum@suse.de
- Added correct status and error messages for Patch CD update.
- Removed a double declaration error.
* Fri Sep 06 2002 - cschum@suse.de
- Added Provides/Obsoletes for y2t_online_update.
- Start with cd URL when called as PatchCD-Update.
- Reenabled Expert button for choosing URL via dialogs.
- Removed obsolete code.
* Thu Sep 05 2002 - cschum@suse.de
- Fixed pre-selection of patches.
- Fixed bug which prevented the patch selection from taking effect.
* Thu Sep 05 2002 - cschum@suse.de
- Implemented regcode/password authentification for business
  products.
- Implemented .auto.get and .auto.install options.
* Mon Sep 02 2002 - cschum@suse.de
- added new title picture.
- reactivated authentification code.
* Thu Aug 29 2002 - gs@suse.de
- online udpate uses new package manager interface
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Tue Aug 20 2002 - gs@suse.de
- PreRequ: %%fillup_prereq  added to spec-file
* Thu Aug 15 2002 - jsuchome@suse.cz
- Merged proofread texts for the second translation round.
* Mon Jul 29 2002 - gs@suse.de
- insert corrected text from proof reading
* Mon Jul 15 2002 - gs@suse.de
- use the correct path for the image data, help text improved
* Thu Jul 11 2002 - arvin@suse.de
- make package build
* Wed Jul 03 2002 - msvec@suse.cz
- renamed to yast2-online-update
- merged with yast2-agent-you
- 2.6.1
* Fri Mar 22 2002 - schubi@suse.de
- taking long language names for patch descriptions #15365
  otherwise only english patchdescriptions are shown.
* Wed Mar 20 2002 - gs@suse.de
- use /usr/lib/rpm/gnupg/pubring.gpg to check the signature in
  the patch descriptions
- show the new special online update image
- don't load the /etc/suseservers file if it's a CD update
* Mon Mar 04 2002 - schubi@suse.de
- Bugfix while updating strange packages via http #14041
* Wed Feb 27 2002 - gs@suse.de
- bugfixes: disable the Abort button in details dialog, initialize
  the agent also in mode auto_install, show correct info 'Connected to'
* Mon Feb 25 2002 - gs@suse.de
- internal changes (don't initialize the package agent, use correct
  language information)
* Fri Feb 22 2002 - schubi@suse.de
- Starting YOU in batchmode corrected #13196
- Aborting dialog correctly #13274
- Showing popup while loading available serverlist
- prefent flickering when installing new packages #12889;
- Checking uploaded packages for the correct version
- bugix while writing mode::you_server
* Mon Feb 18 2002 - gs@suse.de
- internal changes
* Tue Feb 12 2002 - gs@suse.de
- check for string arguments; correct settings for YOU agent
- rename sysconfig/you to sysconfig/onlineupdate
* Mon Feb 11 2002 - schubi@suse.de
- checking version of the package which has been uploaded
* Fri Feb 08 2002 - lnussel@suse.de
- command line argument is of type string
* Fri Feb 08 2002 - gs@suse.de
- bugfixes and internal changes (replace the user_settings,
  initialize for package installation, change source medium
  works correctly, Requires for new agents added ...)
* Mon Feb 04 2002 - gs@suse.de
- rename rc.config.y2c_online_update to sysconfig.you
- internal changes
* Tue Dec 04 2001 - schubi@suse.de
- DisplayRegistrationPopup added
* Mon Sep 24 2001 - gs@suse.de
- first server entry in /etc/suseservers is default ftp server
* Tue Sep 18 2001 - gs@suse.de
- Internal changes ( obsolete defines removed or replaced )
- checking for YaST2 version works correctly now
* Fri Aug 24 2001 - schubi@suse.de
- YOU has and batchmode
  yast2 online_update .auto.get ( getting all patches )
  yast2 online_update .auto.install ( installing patches )
- New batch class "optional"
* Mon Aug 20 2001 - gs@suse.de
- Patch CD Update: write the information to install from CD
  to /var/lib/YaST/install.inf
* Mon Aug 06 2001 - gs@suse.de
- Patch CD Update shows correct error popup if the patch CD is not found
* Mon May 07 2001 - sh@suse.de
- Use new UI(`GetLanguate()) parameter
- accept next button in export mode.
- error popup xxx server not found ( Bug 8872 )
- Enable installing NEW packages
* Mon Apr 30 2001 - gs@suse.de
- name is: Patch CD Update, popup text changed again (bug 6796)
- Showing package description while installing rpm s ( #6573 )
* Thu Apr 26 2001 - gs@suse.de
- special icon for CD update
- delete patches with status .new or .error before download of new path descriptions
* Tue Apr 24 2001 - gs@suse.de
- helptext and popup text (bug 6796) changed
* Thu Apr 19 2001 - gs@suse.de
- menuentry file for CD installation added
- CD Update: return to start dialog, if source media is not set to CD
* Tue Apr 17 2001 - gs@suse.de
- rename of translation package
* Fri Apr 13 2001 - gs@suse.de
- Patch installation from CD starts with screen Available Patches
* Fri Apr 06 2001 - gs@suse.de
- default installation source is CD if module is called with .cd_default
* Wed Mar 07 2001 - schubi@suse.de
- Checking connection via socket ( not ping )
- Loading available server-list from http and load it BEFORE
  the user can select one server.
- Loading server-list can be switched off by a rc.config variable.
- Setting progress-bars to zero after closing the connection
- Updating YaST2 modules at first. Every further patch can only
  installed by a second run.
- The packages can stored on another ftp server ( e.g. nvidea)
  although the patch desciption is e.g. on ftp.suse.com
* Sat Jan 20 2001 - schubi@suse.de
- server-path of uni-aachen changed
* Thu Jan 18 2001 - schubi@suse.de
- Button "not install" to "Do not install" changed
- default installation mode to manuell changed
* Tue Jan 16 2001 - schubi@suse.de
- insert new ftp-mirrows
  inform the user about patch sizes
* Mon Jan 15 2001 - schubi@suse.de
- Translations added.
- Changed Richtext-widget to logview
* Fri Jan 12 2001 - schubi@suse.de
- Getting ftp server list from suse.de
* Mon Jan 08 2001 - kkaempf@suse.de
- provide scrconf/etc_suseservers.scr
* Mon Jan 08 2001 - kkaempf@suse.de
- provide include/suseservers.ycp
* Thu Jan 04 2001 - schubi@suse.de
- ftp-update via modem and isdn
* Thu Jan 04 2001 - schubi@suse.de
- bugfix in pgp-key checking
* Thu Dec 21 2000 - schubi@suse.de
- progress bar for file-loading added
- pgp-key check for every package  added
* Mon Dec 18 2000 - kkaempf@suse.de
- provide list of SuSE servers in /etc/suseservers (standard-URL format)
* Mon Dec 18 2000 - kkaempf@suse.de
- keep list of servers in /etc/suseservers file
* Wed Dec 13 2000 - schubi@suse.de
- new menue-entry
* Tue Dec 12 2000 - schubi@suse.de
- reading targetroot via SCR
  user messages added for pgp security
* Mon Dec 11 2000 - schubi@suse.de
- ftp-server-settings added
* Thu Dec 07 2000 - arvin@suse.de
- use bz2 instead of gz
* Wed Nov 29 2000 - gs@suse.de
- version 1.0.1 - runs initially - but needs more testing
* Fri Nov 17 2000 - gs@suse.de
- initial version
